Subject: Re: [RFC] RJ45 to SFP auto-sensing and switching in mux-ed single-mac devices (XOR RJ/SFP)

From: "Russell King (Oracle)" <[email-masked]>
Date: Tue, 29 Aug 2023 19:04:13 +0100

On Tue, Aug 29, 2023 at 06:37:07PM +0100, Daniel Golle wrote:
> Another thing which came to my mind is the existing port field in
> many ethtool ops which could be either PORT_TP or PORT_FIBRE to
> destinguish the TP PHY from the SFP at least for xLINKSETTINGS.

However, PORT_TP also gets used for RJ45 SFPs, so that doesn't
distinguish between a built-in PHY and a SFP PHY.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!